Get raw file in binary format
GET
/v1/partner/company/{companyKey}/content/{contentKey}/file/{fileKey}/raw
const url = 'https://sender.api.kivra.com/v1/partner/company/example/content/example/file/example/raw';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sender.api.kivra.com/v1/partner/company/example/content/example/file/example/raw \ --header 'Authorization: Bearer <token>'This resource allows to get the raw file in binary format.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”companyKey
required
Company’s unique key
string
The unique key for the company object being retrieved
contentKey
required
Content’s unique key
string
The unique key for a specific content
fileKey
required
File’s unique key
string
The unique key for a specific file
Responses
Section titled “Responses”The content type will be the same as the file, so for a typical pdf it will be application/pdf
Media typeapplication/json
string format: binary
Examplegenerated
binary